#include <stdlib.h>
#include <stdint.h>
#include <stddef.h>
#include <stdio.h>

#define DEVICE_NAME "HTX 4K"
#define DEVICE_VENDOR_ID 0x33e4
#define DEVICE_PRODUCT_ID_WIRED 0x5708
#define DEVICE_PRODUCT_ID_WIRELESS 0x5707

void driver_init(void) {}

uint32_t driver_getkey(void)
{
    static int count = 0;
    count++;

    if(count == 1)
        return (DEVICE_VENDOR_ID << 16) | DEVICE_PRODUCT_ID_WIRED;
    else if(count == 2)
        return (DEVICE_VENDOR_ID << 16) | DEVICE_PRODUCT_ID_WIRELESS;
    
    return 0;
}

char* driver_get_name(void)
{
    return DEVICE_NAME;
}

char* driver_get_image(void)
{
    return "drivers/g-wolves/htx/htx_0.png";
}
